<sqtm-core-customisable-dialog [titleKey]="data.titleKey" [dialogId]="data.id">
  <sqtm-core-dialog-body #dialog>
    <ng-content></ng-content>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      #addAnotherButton
      [attr.data-test-dialog-button-id]="'add-another'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="handleAddAnother()"
      [hidden]="hideAddAnotherButton"
      [nzLoading]="asyncTaskRunning"
    >
      {{
        (data.addAnotherLabelKey
          ? data.addAnotherLabelKey
          : 'sqtm-core.generic.label.add-another.masculine'
        ) | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'add'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="primary"
      (click)="handleAdd()"
      [nzLoading]="asyncTaskRunning"
    >
      {{ 'sqtm-core.generic.label.add' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
